clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [
128.2
128.3875
128.575
128.7625
128.95
129.1375
129.325
129.5125
129.7
129.8875
130.075
130.2625
130.45
130.6375
130.825
131.0125
131.2   
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000506812	0.000526305	0.000548255	0.000573094	0.000601358	0.000633725	0.00067107	0.000714531	0.000765626	0.00082642	0.000899804	0.000989945	0.00110309	0.00124902	0.00144406	0.00171747	0.00212769;
0.00050672	0.000526213	0.000548165	0.000573004	0.000601268	0.000633637	0.000670981	0.000714441	0.000765534	0.000826327	0.000899708	0.000989845	0.00110298	0.00124891	0.00144394	0.00171733	0.00212754;
0.000506628	0.000526123	0.000548075	0.000572915	0.00060118	0.000633548	0.000670892	0.000714352	0.000765444	0.000826234	0.000899613	0.000989748	0.00110288	0.0012488	0.00144382	0.0017172	0.00212739;
0.000506537	0.000526033	0.000547986	0.000572826	0.000601091	0.00063346	0.000670804	0.000714263	0.000765354	0.000826143	0.000899519	0.000989649	0.00110278	0.00124869	0.0014437	0.00171707	0.00212724;
0.000506446	0.000525943	0.000547897	0.000572738	0.000601004	0.000633372	0.000670716	0.000714175	0.000765265	0.000826052	0.000899426	0.000989553	0.00110268	0.00124859	0.00144358	0.00171694	0.00212709;
0.000506356	0.000525854	0.000547809	0.000572651	0.000600917	0.000633285	0.000670629	0.000714088	0.000765176	0.000825962	0.000899334	0.000989458	0.00110258	0.00124848	0.00144347	0.00171682	0.00212695;
0.000506267	0.000525766	0.000547722	0.000572564	0.00060083	0.0006332	0.000670543	0.000714001	0.000765088	0.000825873	0.000899242	0.000989363	0.00110248	0.00124838	0.00144335	0.00171669	0.0021268;
0.000506178	0.000525678	0.000547635	0.000572478	0.000600745	0.000633114	0.000670457	0.000713915	0.000765002	0.000825784	0.000899151	0.000989269	0.00110238	0.00124827	0.00144324	0.00171657	0.00212666;
0.00050609	0.000525591	0.000547548	0.000572392	0.00060066	0.000633029	0.000670373	0.000713829	0.000764915	0.000825697	0.000899061	0.000989176	0.00110228	0.00124817	0.00144313	0.00171644	0.00212652;
0.000506002	0.000525504	0.000547463	0.000572307	0.000600575	0.000632945	0.000670288	0.000713744	0.000764829	0.00082561	0.000898972	0.000989083	0.00110218	0.00124806	0.00144302	0.00171632	0.00212638;
0.000505915	0.000525419	0.000547378	0.000572223	0.000600491	0.000632861	0.000670205	0.00071366	0.000764744	0.000825523	0.000898884	0.000988992	0.00110209	0.00124796	0.00144291	0.0017162	0.00212624;
0.000505828	0.000525333	0.000547294	0.000572139	0.000600408	0.000632778	0.000670121	0.000713577	0.00076466	0.000825438	0.000898796	0.000988901	0.00110199	0.00124786	0.0014428	0.00171608	0.00212611;
0.000505742	0.000525248	0.000547209	0.000572056	0.000600325	0.000632696	0.000670039	0.000713494	0.000764577	0.000825352	0.000898708	0.000988811	0.0011019	0.00124776	0.00144269	0.00171596	0.00212597;
0.000505657	0.000525164	0.000547126	0.000571974	0.000600243	0.000632614	0.000669957	0.000713412	0.000764494	0.000825268	0.000898622	0.000988722	0.00110181	0.00124766	0.00144259	0.00171584	0.00212584;
0.000505572	0.00052508	0.000547043	0.000571892	0.000600162	0.000632533	0.000669876	0.00071333	0.000764411	0.000825184	0.000898537	0.000988634	0.00110171	0.00124757	0.00144248	0.00171573	0.00212571;
0.000505488	0.000524996	0.00054696	0.00057181	0.000600081	0.000632452	0.000669796	0.00071325	0.00076433	0.000825102	0.000898453	0.000988546	0.00110162	0.00124747	0.00144238	0.00171561	0.00212558;
0.000505404	0.000524914	0.000546879	0.000571729	0.000600001	0.000632372	0.000669716	0.00071317	0.000764249	0.00082502	0.000898369	0.00098846	0.00110153	0.00124738	0.00144228	0.0017155	0.00212545];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','s',...
    'MarkerEdgeColor','[0.8500 0.3250 0.0980]',...
    'MarkerFaceColor','[0.8500 0.3250 0.0980]')

zlim([0.0003 0.00212769])
ylim([128.2E9 131.2E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([128.2E9 129.0E9 129.5E9 130.0E9 130.5E9 131.2E9])
zticks([0.000505404 0.00075 0.00100 0.00125 0.00150 0.00175 0.00212769])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - noDoped-36Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_36AlDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Lowload_36AlDoped_strainenergy_LLZO_48e_fAl.png